LIMNORIA-BOTCHK(1)

NAME
limnoria-botchk - A script to start Limnoria if it's not already running.

SYNOPSIS
limnoria-botchk [options]

DESCRIPTION
limnoria-botchk is a script that will start Limnoria if it detects that one is not currently running. This can be useful for scheduling limnoria(1) to run via cron(8).

OPTIONS

-h, --help
    Show summary of options.

-v, --verbose
    Use verbose output when running the script.

--botdir=BOTDIR
    Determines which directory the bot be started in.

--pidfile=PIDFILE
    Specifies the name of the pidfile to look for. This should be relative to the given botdir.

--limnoria=LIMNORIA
    Specifies the location of limnoria(1). If this is not given, it is assumed that limnoria(1) is in the user's $PATH.

--conffile=CONFFILE
    Specifies the path to the bot's configuration file. This will be used when (re)starting the bot.

SEE ALSO
python(1), limnoria(1), limnoria-test(1), limnoria-wizard(1), limnoria-adduser(1), limnoria-plugin-doc(1), limnoria-plugin-create(1)

AUTHOR
This manual page was originally written by James McCoy <vega dot james at gmail dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Limnoria license, a BSD-style license.